Index: CMT/v1r19/mgr/requirements
===================================================================
--- CMT/v1r19/mgr/requirements	(revision 695)
+++ CMT/v1r19/mgr/requirements	(revision 1)
@@ -2,9 +2,10 @@
 
 author arnault@lal.in2p3.fr
+
+macro CMTrelease 15
 
 tag CMTr15 CMTr14
 tag CMTr16 CMTr14
 tag CMTr18 CMTr16
-tag CMTr0  CMTr18
 
 #
@@ -68,5 +69,5 @@
 tag SunOS          Unix
 
-tag CYGWIN_NT-5.1  Unix CYGWIN
+tag CYGWIN_NT-5.1  Unix CYGWIN Linux
 
 tag alpha          OSF1
@@ -171,5 +172,6 @@
       HP-UX           "-D_HPUX_SOURCE" \
       alphat          "-DCTHREADS" \
-      AIX             "-D_ALL_SOURCE -D_BSD"
+      AIX             "-D_ALL_SOURCE -D_BSD" \
+      Linux           "-Di586"
 
 macro ccomp           "$(cc) -c $(includes) $(cdebugflags) $(cflags) $(pp_cflags)" \
@@ -365,5 +367,4 @@
       OSF1          "${CMTROOT}/mgr/cmt_make_shlib_common.sh noextract" \
       Linux         "${CMTROOT}/mgr/cmt_make_shlib_common.sh extract" \
-      CYGWIN        "${CMTROOT}/mgr/cmt_make_shlib_common.sh extract" \
       SunOS         "${CMTROOT}/mgr/cmt_make_shlib_common.sh extract" \
       Darwin        "${CMTROOT}/mgr/cmt_make_shlib_common.sh extract" \
@@ -375,5 +376,4 @@
       SunOS         "so" \
       Linux         "so" \
-      CYGWIN        "dll" \
       Darwin        "dylib" \
       WIN32         "dll"
@@ -384,5 +384,4 @@
       SunOS         "CC" \
       Linux         "g++" \
-      CYGWIN        "g++" \
       Darwin        "c++"
 
@@ -391,5 +390,4 @@
       OSF1          "-shared -expect_unresolved '*'" \
       Linux         "-shared" \
-      CYGWIN        "-shared" \
       SunOS         "$(debug_option)" \
       VisualC       "" \
@@ -434,5 +432,4 @@
 macro SHELL           "/bin/sh" WIN32 "cmd"
 
-macro q               '"'
 macro src             "../src/" WIN32 "..\src\"
 macro doc             "../doc/" WIN32 "..\doc\"
@@ -442,5 +439,5 @@
 
 macro application_suffix ".exe"
-macro library_prefix "lib" WIN32 "" CYGWIN ""
+macro library_prefix "lib" WIN32 ""
 macro library_suffix ""
 
@@ -581,5 +578,5 @@
       WIN32             "del "
 
-macro cmt_installarea_command "ln -fs " \
+macro cmt_installarea_command "ln -s " \
       WIN32                   "xcopy /S /E /Y "
 
@@ -604,5 +601,8 @@
 macro cmt_installdir_excludes  "" WIN32 "$(CMTROOT)\mgr\cmt_installdir_excludes.txt"
 
-action make "gmake $(cmt_args)" Darwin "make $(cmt_args)" CYGWIN "make $(cmt_args)" WIN32 "nmake /f nmake $(cmt_args)"
+
+action make "gmake $(cmt_args)" CYGWIN "make $(cmt_args)" WIN32 "nmake /f nmake $(cmt_args)"
+
+
 
 macro mkdir  "mkdir" \
@@ -642,10 +642,4 @@
 
 #
-# Protocol level for the CVS pluggin
-#
-
-macro cmt_cvs_protocol_level "v1r1"
-
-#
 # The CMTPATH patterns for installation areas
 #
@@ -654,13 +648,11 @@
 
 cmtpath_pattern \
-  macro cmt_installarea_paths        " $(cmt_installarea_prefix)/$(CMTCONFIG)/bin" ; \
-  macro_prepend use_linkopts         " $(cmt_installarea_linkopts) " ; \
-  macro_append shlibbuilder          " $(cmt_installarea_linkopts) "
-
-cmtpath_pattern \
-  macro_append cmt_installarea_paths "" <project>_with_installarea " $(<project>_installarea_prefix)/$(CMTCONFIG)/lib" ; \
-  macro_append cmt_installarea_paths "" <project>_with_installarea " $(<project>_installarea_prefix)/share/lib" ; \
-  macro_append cmt_installarea_paths "" <project>_with_installarea " $(<project>_installarea_prefix)/share/bin"
-  
+  macro cmt_installarea_paths "$(cmt_installarea_prefix)/$(tag)/bin" ; \
+  macro_append cmt_installarea_paths " $(cmt_installarea_prefix)/$(tag)/lib" ; \
+  macro_append cmt_installarea_paths " $(cmt_installarea_prefix)/share/lib" ; \
+  macro_append cmt_installarea_paths " $(cmt_installarea_prefix)/share/bin" ; \
+  macro_prepend use_linkopts   " $(cmt_installarea_linkopts) " ; \
+  macro_append shlibbuilder    " $(cmt_installarea_linkopts) "
+
 macro CMT_PATH_remove_regexp "/[^/]*/" WIN32 "\\[^\\]*\\"
 macro CMT_PATH_remove_share_regexp "/share/" WIN32 "\\share\\"
@@ -677,16 +669,17 @@
 cmtpath_pattern \
   path_prepend PATH "" \
-               <project>_with_installarea&WIN32 "<path>/$(<project>_installarea_prefix)/${CMTCONFIG}/bin" \
-               <project>_with_installarea&Unix "<path>/$(<project>_installarea_prefix)/${CMTCONFIG}/bin" ; \
+               <project>_with_installarea&WIN32 "<path>/$(<project>_installarea_prefix)/${tag}/bin" \
+               <project>_with_installarea&Unix "<path>/$(<project>_installarea_prefix)/${tag}/bin" ; \
   path_prepend PATH "" \
-               <project>_with_installarea&WIN32 "<path>/$(<project>_installarea_prefix)/${CMTCONFIG}/lib" \
-               <project>_with_installarea&CYGWIN "<path>/$(<project>_installarea_prefix)/${CMTCONFIG}/lib" ; \
+               <project>_with_installarea&WIN32 "<path>/$(<project>_installarea_prefix)/${tag}/lib" ; \
   path_prepend LD_LIBRARY_PATH "" \
-               <project>_with_installarea&Unix "<path>/$(<project>_installarea_prefix)/${CMTCONFIG}/lib" ; \
+               <project>_with_installarea&Unix "<path>/$(<project>_installarea_prefix)/${tag}/lib" ; \
+  path_prepend CLASSPATH "" <project>_with_installarea "<path>/$(<project>_installarea_prefix)/share/lib" ; \
+  path_prepend CLASSPATH "" <project>_with_installarea "<path>/$(<project>_installarea_prefix)/share/bin" ; \
   macro_prepend cmt_installarea_linkopts "" \
                 <project>_without_installarea "" \
-                <project>_with_installarea&Unix " -L<path>/$(<project>_installarea_prefix)/$(CMTCONFIG)/lib " \
-                <project>_with_installarea&WIN32 " /LIBPATH:<path>\$(<project>_installarea_prefix)\$(CMTCONFIG)\lib "                 
-    
+                <project>_with_installarea&Unix " -L<path>/$(<project>_installarea_prefix)/$(tag)/lib " \
+                <project>_with_installarea&WIN32 " /LIBPATH:<path>\$(<project>_installarea_prefix)\$(tag)\lib "
+
 set NEWCMTCONFIG "${cmt_hardware}-${cmt_system_version}-${cmt_compiler_version}"
 
@@ -730,6 +723,8 @@
 cmt_commands.cxx
 
+private
 
 macro all_constituents cmt
 
 macro_append cpplink "" VisualC " advapi32.lib "
+
